Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
attack-protection
/
breached-password-detection
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.AttackProtection;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.AttackProtection.BreachedPasswordDetection.UpdateAsync(
            new UpdateBreachedPasswordDetectionSettingsRequestContent()
        );
    }

}
{
  "enabled": true,
  "shields": [],
  "admin_notification_frequency": [],
  "method": "standard",
  "stage": {
    "pre-user-registration": {
      "shields": []
    },
    "pre-change-password": {
      "shields": []
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

enabled
boolean
default:true

Whether or not breached password detection is active.

shields
enum<string>[]

Action to take when a breached password is detected during a login. Possible values: block, user_notification, admin_notification.

Available options:
block,
user_notification,
admin_notification
admin_notification_frequency
enum<string>[]

When "admin_notification" is enabled, determines how often email notifications are sent. Possible values: immediately, daily, weekly, monthly.

Available options:
immediately,
daily,
weekly,
monthly
method
enum<string>
default:standard

The subscription level for breached password detection methods. Use "enhanced" to enable Credential Guard. Possible values: standard, enhanced.

Available options:
standard,
enhanced
stage
object

Response

Breached password detection settings successfully updated.

enabled
boolean
default:true

Whether or not breached password detection is active.

shields
enum<string>[]

Action to take when a breached password is detected during a login. Possible values: block, user_notification, admin_notification.

Available options:
block,
user_notification,
admin_notification
admin_notification_frequency
enum<string>[]

When "admin_notification" is enabled, determines how often email notifications are sent. Possible values: immediately, daily, weekly, monthly.

Available options:
immediately,
daily,
weekly,
monthly
method
enum<string>
default:standard

The subscription level for breached password detection methods. Use "enhanced" to enable Credential Guard. Possible values: standard, enhanced.

Available options:
standard,
enhanced
stage
object